#
# mq_install::installmq
#
# @summary Deprecated; Please the ibm_profile module.
# **This class is deprecated.** The best thing, is to use the [mq_machine class from the ibm_profile module](/docs/ibm_profile/description.html#the-ibm_profilemq_machine-class). the [ibm_profile module](/docs/ibm_profile/description.html#the-ibm_profilemq_machine-class) contains several steps that you can use to customize your OS setup as needed for MQ.
# 
# ## Old documentation
# 
# The class `mq_install::installmq` is a convenience class that allows you to install a specific version of the IBM MQ software on your system. Because MQ only allows you to install one version, this class also only supports installing one version.
# 
# Here is an example on how to use it:
# 
# ``` puppet
# include mq_install::installmq
# ```
# 
# This class is parameterless, but it calls the [`mq_install::os`](docs/mq_install/os.html) and [`mq_install::software`](docs/mq_install/software.html) classes. Those parameters can be set using hiera.
#
# @param title
#    The name of the class.
#
#
# See the file "LICENSE" for the full license governing this code.
#
class mq_install::installmq
{
  deprecation ('mq_install::installmq', "The 'mq_install::os' class is deprecated. Use 'ibm_profile::mq_machine' instead as a conveniant way to install and manage MQ.")

  mq_install { 'mq_install::installmq': }
  contain ::mq_install::os
  contain ::mq_install::software

  Class['::mq_install::os']
  -> Class['::mq_install::software']
}
