# Version updates

## 1.11.3

[fixpack] Fix default file name on Solaris other than i86pc
[docs] Sanetize documentation

## 1.11.2

[docs] Updated docs for REFERENCE.md
[quality] Remove bundle checks
[release] Fix echo requirement metadata

## 1.11.1

- [fixpack] Fix duplicate resource error

## 1.11.0

- [quality] Multiple small fixes and extra documentation
- [plans/apply_upgrades] Initial implementation
- [plans/apply_fixpack] Initial implementation
- [fixpack] change from defined type to class
- [mq_installed_fixpacks] sort the available fixpacks
- [fixpack] Add support for scheduled fixpacks
- [software] Add support for scheduled upgrade

## 1.10.0

- [software] Support version upgrade on Linux and Solaris
- [tasks/*] Make tasks run on both Solaris and Linux
- [autostart] Improve working of script on Solaris

## 1.9.0

- [fixpack] Add support for Solaris and ficpack rollbacks
- [autostart] Extend functionality to Solaris and AIX
## 1.8.5

- [software] Fix extra package selections

## 1.8.4

- [core] Add support for MQ 9.2 dependencies

## 1.8.3

- [doc] Add filled REFERENCE.md

## 1.8.2

- [doc] Addd REFERENCE.md

## 1.8.1

- [os] Deprecate class
- [installmq] Deprecate class

## 1.8.0

- [release] Support puppet 7
- [core] Using Sentive data type for password values

## 1.7.0

- [autostart] Add support for your own template for the systemd unit

## 1.6.3

- [autostart] Fix autostart systemd for multiple queue managers

## 1.6.2

- [autostart] Fix for RHEL 8

## 1.6.1

- [fixpack] Fix when running on systemd systems

## 1.6.0

- [core] Add Solaris support

## 1.5.0

- [core] Add AIX support
- [core] Rename facts to be more os generic

## 1.4.0

- [core] Add support for Windows

## 1.3.0

- [fixpack] Add documentation and share some properties between software and fixpack
- [fixpack] Take care of circular dependecy
- [software] Fix the unittests
- [fixpack] Initial implementation
- [software] Refacter to allow addition and removal of rpms after basic install
- [quality] Make acceptance test run on Puppet 6

## 1.2.0

- [software] Add support for MQ 9.1 components
- [core] Add Puppet 6 unit tests
- [autostart] Fix acceptance test

## 1.1.1

- [autostart] Add support for standby queue managers
- [acceptance] Fix tests. Not using stdlib 5.0 yet
- [autostart] Make it more rubust
- [core] Update versions of dependency modules

## 1.1.0

- [autostart] Add support for multi instance queue managers
- [docs] renerate docs with typ info and defaults
- [docs] Add type and defaults
- [core] Fix metadata.json
- [mq_version] Fix faster message

## 1.0.14

- [mq_version] Handle nil error when invalid version number is received.

## 1.0.13

- [tasks] Add restart task
- [tasks] Add status task
- [tasks] Add start task
- [tasks] Add stop task
- [release] Better description in the metadata
- [release] Fix link to license in readme

## 1.0.12

- [release] Added license notice

## 1.0.11

- [release] Add license text and readme
- [release] Always include puppetlabs_spec_helper gem
- [software] Define tmp_dir in puppet

## 1.0.10

- [core] Remove support for puppet versions before 4.9
- [autostart] Initial implementation for RedHat 6 and 7
- [os] Make settings easier manageble. And include them in specs
- [quality] Add acceptance tests
- [os] Make all os settings hiera modifyable
## 1.0.9

- [os] Leave other limits in place

## 1.0.8

- [os] contain the limits to make sure it is done before the rest

## 1.0.7

- [os] Add support for NOT managing the home of mqm user

## 1.0.6

- [os] Add required sysctl parameter

## 1.0.5

- [software] Fix ordering issue
- [functions] Remove return_type for function.
- [software] Fix selection of optional components
- [software] Cleanup extracted temporary packages

## 1.0.4

- [os] remove user mquser

## 1.0.3

- [core] Removed binding and added type

## 1.0.2

- [core] Fixed bindings

## 1.0.1

- [core] Added bindings

## 1.0.0

- [docs] Added documentation

## 0.0.3

- [os] Make nofile limits bigger

## 0.0.2

- [software] Make options selectable
- [os] Remove sysctl settings
- [os] Add mqm user

## 0.0.1

- [installmq] Initial version
