#
# See the file "LICENSE" for the full license governing this code.
#
#
# Get installed MQ fixpacks
#
Facter.add(:mq_installed_fixpacks) do
  confine :kernel => 'SunOS'

  setcode do
    Facter::Util::Resolution.exec("pkginfo  | grep mqm- | awk '{print $2}'").split("\n")
  end
end

Facter.add(:mq_installed_fixpacks) do
  confine :kernel => 'Linux'

  setcode do
    Facter::Util::Resolution.exec("rpm -qa | grep -e \"MQSeriesRuntime-U\" |  awk -F '-' '{print $2}'").split("\n").sort
  end
end
